%global debug_package %{nil}

Name:           pi4-firmware-blob
Version:        1.28
Release:        2%{?dist}
Summary:        Blob Firmware for Raspberri Pi 4 

License:        BSD-2-Clause-Patent
URL:            https://github.com/pftf/RPi4/
Source0:        RPi4_UEFI_Firmware_v%{version}.zip
# Pulled from https://github.com/raspberrypi/firmware/blob/master/boot/overlays/vc4-kms-v3d-pi4.dtbo
Source1:        vc4-kms-v3d-pi4.dtbo

ExclusiveArch: %{arm} aarch64

%description
Binaries from https://github.com/pftf/RPi4/ that provide the firmware for the Raspberry Pi 4


%prep
%setup -q -c %{name}

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %{buildroot}%{efi_esp_root}
cp -r ./* %{buildroot}%{efi_esp_root}/

install -m 644 %{SOURCE1} %{buildroot}%{efi_esp_root}/overlays/


%files
%license firmware/LICENCE.txt
%doc Readme.md
%config(noreplace) %{efi_esp_root}/config.txt
%{efi_esp_root}/*



%changelog
* Wed Dec 01 2021 Pierre-Yves Chibon <pingou@pingoured.fr> - 1.28-2
- Include the vc4-kms-v3d-pi4.dtbo overlay

* Wed Jun 30 2021 Pierre-Yves Chibon <pingou@pingoured.fr> - 1.28-1
- First packaging work
